Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class ControlAdapter

    java.lang.Object
      org.eclipse.swt.events.ControlAdapter

All Implemented Interfaces:
  ControlListener

public abstract class ControlAdapter
extends java.lang.Object
implements ControlListener

This adapter class provides default implementations for the methods described by the `ControlListener` interface.

Classes that wish to deal with `ControlEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `ControlListener`, `ControlEvent`

Constructor Summary
`ControlAdapter()`

Method Summary
`void` `controlMoved(ControlEvent e)` Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`void` `controlResized(ControlEvent e)` Sent when the size (width, height) of a control changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlAdapter

    public ControlAdapter()

Method Detail

### controlMoved

    public void controlMoved(ControlEvent e)

  Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s). The default behavior is to do nothing.

  Specified by:
    `controlMoved` in interface `ControlListener`
  Parameters:
    `e` - an event containing information about the move

### controlResized

    public void controlResized(ControlEvent e)

  Sent when the size (width, height) of a control changes. The default behavior is to do nothing.

  Specified by:
    `controlResized` in interface `ControlListener`
  Parameters:
    `e` - an event containing information about the resize

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.